scala.tools.nsc.symtab.classfile.ICodeReader

# ICodeConstantPool

###
Related Doc: package ICodeReader

#### class ICodeConstantPool extends ConstantPool

Attributes
  protected
Source
  ICodeReader.scala

Linear Supertypes
ICodeReader.ConstantPool, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ICodeConstantPool
2. ConstantPool
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ICodeConstantPool()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ICodeConstantPool to any2stringadd[ICodeConstantPool] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ICodeConstantPool, B)

   Implicit information
     This member is added by an implicit conversion from ICodeConstantPool to ArrowAssoc[ICodeConstantPool] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

7. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

8. #### def ensuring(cond: (ICodeConstantPool) ⇒ Boolean, msg: ⇒ Any): ICodeConstantPool

   Implicit information
     This member is added by an implicit conversion from ICodeConstantPool to Ensuring[ICodeConstantPool] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (ICodeConstantPool) ⇒ Boolean): ICodeConstantPool

   Implicit information
     This member is added by an implicit conversion from ICodeConstantPool to Ensuring[ICodeConstantPool] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): ICodeConstantPool

    Implicit information
      This member is added by an implicit conversion from ICodeConstantPool to Ensuring[ICodeConstantPool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): ICodeConstantPool

    Implicit information
      This member is added by an implicit conversion from ICodeConstantPool to Ensuring[ICodeConstantPool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

14. #### def errorBadIndex(index: Int): Nothing

    Throws an exception signaling a bad constant index.

    Throws an exception signaling a bad constant index.

    Attributes
      protected
    Definition Classes
      ConstantPool

15. #### def errorBadTag(start: Int): Nothing

    Throws an exception signaling a bad tag at given address.

    Throws an exception signaling a bad tag at given address.

    Attributes
      protected
    Definition Classes
      ConstantPool

16. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

17. #### def firstExpecting(index: Int, expected: Int): Int

    Definition Classes
      ConstantPool

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ICodeConstantPool to StringFormat[ICodeConstantPool] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### def getBytes(indices: List[Int]): Array[Byte]

    Definition Classes
      ConstantPool

20. #### def getBytes(index: Int): Array[Byte]

    Definition Classes
      ConstantPool

21. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

22. #### def getClassName(index: Int): Global.Name

    Return the external name of the class info structure found at 'index'.

    Return the external name of the class info structure found at 'index'. Use 'getClassSymbol' if the class is sure to be a top-level class.

    Definition Classes
      ConstantPool

23. #### def getClassOrArrayType(index: Int): Global.Type

    Return the type of a class constant entry.

    Return the type of a class constant entry. Since arrays are considered to be class types, they might appear as entries in 'newarray' or 'cast' opcodes.

    Definition Classes
      ConstantPool

24. #### def getClassSymbol(index: Int): Global.Symbol

    Definition Classes
      ConstantPool

25. #### def getConstant(index: Int): Global.Constant

    Definition Classes
      ConstantPool

26. #### def getConstant(index: Char): Global.Constant

    Definition Classes
      ConstantPool

27. #### def getExternalName(index: Int): Global.Name

    Return the name found at given index in the constant pool, with '/' replaced by '.'.

    Return the name found at given index in the constant pool, with '/' replaced by '.'.

    Definition Classes
      ConstantPool

28. #### def getMemberSymbol(index: Int, static: Boolean): Global.Symbol

    Return the symbol of the class member at `index`.

    Return the symbol of the class member at `index`. The following special cases exist:

    - If the member refers to special `MODULE$` static field, return the symbol of the corresponding module.
    - If the member is a field, and is not found with the given name, another try is made by appending `nme.LOCAL_SUFFIX_STRING`
    - If no symbol is found in the right tpe, a new try is made in the companion class, in case the owner is an implementation class.

29. #### def getName(index: Int): Global.Name

    Return the name found at given index.

    Return the name found at given index.

    Definition Classes
      ConstantPool

30. #### def getNameAndType(index: Int, ownerTpe: Global.Type): (Global.Name, Global.Type)

    Return a name and a type at the given index.

    Return a name and a type at the given index. If the type is a method type, a dummy symbol is created in `ownerTpe`, which is used as the owner of its value parameters. This might lead to inconsistencies, if a symbol of the given name already exists, and has a different type.

    Attributes
      protected
    Definition Classes
      ConstantPool

31. #### def getSuperClass(index: Int): Global.Symbol

    Definition Classes
      ConstantPool

32. #### def getType(sym: Global.Symbol, index: Int): Global.Type

    Definition Classes
      ConstantPool

33. #### def getType(index: Int): Global.Type

    Definition Classes
      ConstantPool

34. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

35. #### val internalized: Array[Global.Name]

    Attributes
      protected
    Definition Classes
      ConstantPool

36. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

37. #### val len: Int

    Attributes
      protected
    Definition Classes
      ConstantPool

38. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

39. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

40. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

41. #### def recordAtIndex[T <: AnyRef](value: T, idx: Int): T

    Definition Classes
      ConstantPool

42. #### val starts: Array[Int]

    Attributes
      protected
    Definition Classes
      ConstantPool

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

45. #### val values: Array[AnyRef]

    Attributes
      protected
    Definition Classes
      ConstantPool

46. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### def →[B](y: B): (ICodeConstantPool, B)

    Implicit information
      This member is added by an implicit conversion from ICodeConstantPool to ArrowAssoc[ICodeConstantPool] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from ICodeReader.ConstantPool

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ICodeConstantPool to any2stringadd[ICodeConstantPool]

### Inherited by implicit conversion StringFormat from ICodeConstantPool to StringFormat[ICodeConstantPool]

### Inherited by implicit conversion Ensuring from ICodeConstantPool to Ensuring[ICodeConstantPool]

### Inherited by implicit conversion ArrowAssoc from ICodeConstantPool to ArrowAssoc[ICodeConstantPool]

### Ungrouped